[racket-dev] OT: ld static linking + linux version numbers -> ??

From: John Clements (clements at brinckerhoff.org)
Date: Thu Sep 1 00:05:35 EDT 2011

On Aug 31, 2011, at 8:24 PM, Eli Barzilay wrote:

> Three hours ago, John Clements wrote:
>> On Aug 31, 2011, at 5:06 PM, Jon Rafkind wrote:
>>> AFAIK to get the .so file you are supposed to install the
>>> development versions of the library.
>> Ah! Okay, this makes sense. Uh, sort of.
> The rationale is that applications need to specify a version number,
> so the version-less file is only for developers.  But it's surprising
> that you didn't have that file -- not having the dev package means
> that you also wouldn't have the header file.

Yep, right you are.

Thanks again, all.


-------------- next part --------------
A non-text attachment was scrubbed...
Name: smime.p7s
Type: application/pkcs7-signature
Size: 4624 bytes
Desc: not available
URL: <http://lists.racket-lang.org/dev/archive/attachments/20110831/c0b67b1e/attachment.p7s>

Posted on the dev mailing list.